支払方法取得
GET
/payments/{payment_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/payments/example?fields=paymentId%2CpaymentMethod';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/payments/example?fields=paymentId%2CpaymentMethod' \ --header 'Authorization: Bearer <token>'支払方法を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”payment_id
required
string
支払方法ID
Query Parameters
Section titled “Query Parameters”fields
Array<string>
取得するフィールドをカンマ区切りで指定します。 指定がない場合すべてのフィールドを取得します。
Example
?fields=paymentId,paymentMethodResponses
Section titled “Responses”取得成功
Media typeapplication/json
Payment
object
paymentId
支払方法ID
string
paymentMethod
支払方法名
string
Examples
Exampledefault
{ "paymentId": "1", "paymentMethod": "テスト支払方法"}Fieldsに指定外の値が設定されている場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Examplefieldsに指定外の値が設定されている場合
{ "type": "about:blank", "title": "BadRequest", "detail": "指定されたfields項目が不正です: {invalid_field}", "status": 400}指定されたIDのリソースが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Example指定したリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}サーバー内部エラー
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Exampledefault
{ "type": "about:blank", "title": "InternalServerError", "status": 500}